Value Items
Search value items
Searches value items.
GET
/
v1
/
public
/
value-items
Search value items
curl --request GET \
--url https://api.agile-tools.io/v1/public/value-items \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/value-items"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/value-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/value-items")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228",
"key": "PP-1",
"title": "Enable portfolio dashboard",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
},
{
"id": "7a4a5a4e-33f7-4cf4-8d62-6a3af43bd021",
"key": "PP-2",
"title": "Detailed Task",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
}
],
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z",
"cursor": {
"next": "2",
"hasMore": true,
"resultCount": 2
}
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Query Parameters
Required range:
1 <= x <= 100Response
200 - application/json
Value items returned
⌘I
Search value items
curl --request GET \
--url https://api.agile-tools.io/v1/public/value-items \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/value-items"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/value-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/value-items")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228",
"key": "PP-1",
"title": "Enable portfolio dashboard",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
},
{
"id": "7a4a5a4e-33f7-4cf4-8d62-6a3af43bd021",
"key": "PP-2",
"title": "Detailed Task",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
}
],
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z",
"cursor": {
"next": "2",
"hasMore": true,
"resultCount": 2
}
}
}
